### Hierarchy

- TaskSequence

## Index

### Constructors

- constructor

### Properties

- count
- handle
- isClosed
- nullPed

### Accessors

- AddTask
- Count
- Handle
- IsClosed

### Methods

- close
- create
- dispose

## Constructors

### constructor

- new TaskSequence(handle?: number): TaskSequence

- - Defined in TaskSequence.ts:10

  #### Parameters

  - ##### Optional handle: number

  #### Returns TaskSequence

## Properties

### Private count

count: number

- Defined in TaskSequence.ts:8

### Private handle

handle: number = 0

- Defined in TaskSequence.ts:6

### Private isClosed

isClosed: boolean

- Defined in TaskSequence.ts:7

### Static Private nullPed

nullPed: null | Ped = null

- Defined in TaskSequence.ts:5

## Accessors

### AddTask

- get AddTask(): undefined | null | Tasks

- - Defined in TaskSequence.ts:44

  #### Returns undefined | null | Tasks

### Count

- get Count(): number

- - Defined in TaskSequence.ts:57

  #### Returns number

### Handle

- get Handle(): number

- - Defined in TaskSequence.ts:40

  #### Returns number

### IsClosed

- get IsClosed(): boolean

- - Defined in TaskSequence.ts:53

  #### Returns boolean

## Methods

### close

- close(repeat?: boolean): void

- - Defined in TaskSequence.ts:31

  #### Parameters

  - ##### repeat: boolean = false

  #### Returns void

### Private create

- create(): void

- - Defined in TaskSequence.ts:21

  #### Returns void

### dispose

- dispose(): void

- - Defined in TaskSequence.ts:26

  #### Returns void

Generated using TypeDoc